Skip to main content
GET

List webhooks

GET /api/v1/webhooks Manage webhook configurations.

Headers

string
required
Your API key
string
required
Your API secret key
string
required
WhatsApp channel ID

Create webhook

POST /api/v1/webhooks

Body parameters

string
required
Webhook URL to receive events.
string[]
required
Array of event types to subscribe to (e.g. message.received, message.delivered, message.read).

Update webhook

PUT /api/v1/webhooks/:id
integer
required
Webhook ID.

Body parameters

string
Updated webhook URL.
string[]
Updated array of event types.

Delete webhook

DELETE /api/v1/webhooks/:id
integer
required
Webhook ID.